gdump(1)

NAME
gdump - dumps the contents of a source graph as a source code

SYNOPSIS
gdump [options] [igfile] [ocfile]

DESCRIPTION
The gdump program allows one to create a source code equivalent to the loading of a centralized source graph. The contents of the source graph are represented as data arrays which are assembled by calling the SCOTCH_graphBuild routine of the libScotch library.

OPTIONS

-bbase
    Set the base value of the graph described by the source code.

-h  Display some help.

-pprefix
    Set the prefix to add to to all array names and to the graph buiding function name.

-ssuffix
    Set the suffix to add to to all array names and to the graph buiding function name.

-V  Display program version and copyright.

EXAMPLE
Create a soure C file 'brol.c' that corresponds to graph 'brol.grf', with identifier and creation function name suffix '_brol'.

    $ gdump -s_brol brol.grf brol.c

SEE ALSO
gtst(1).

Scotch user's manual.

AUTHOR
Francois Pellegrini <francois.pellegrini@labri.fr>